# readers.pcd

The PCD Reader supports reading from Point Cloud Data (PCD) formatted files, which are used by the Point Cloud Library (PCL).

Note

The PCD Reader requires linkage of the PCL library.

Dynamic Plugin

This stage requires a dynamic plugin to operate

## Example

    {
      "pipeline":[
        {
          "type":"readers.pcd",
          "filename":"inputfile.pcd"
        },
        {
          "type":"writers.text",
          "filename":"outputfile.txt"
        }
      ]
    }

## Options

filename
  PCD file to read [Required]
count
  Maximum number of points to read [Optional]